Module java.xml.soap
Package javax.xml.soap

## Class SOAPConnectionFactory

- java.lang.Object
- - javax.xml.soap.SOAPConnectionFactory

    public abstract class SOAPConnectionFactory
    extends Object

A factory for creating `SOAPConnection` objects. Implementation of this class is optional. If `SOAPConnectionFactory.newInstance()` throws an UnsupportedOperationException then the implementation does not support the SAAJ communication infrastructure. Otherwise `SOAPConnection` objects can be created by calling `createConnection()` on the newly created `SOAPConnectionFactory` object.

Since:
  1.6

### Constructor Summary

Constructors
`SOAPConnectionFactory​()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract SOAPConnection` `createConnection​()` Create a new `SOAPConnection`.
`static SOAPConnectionFactory` `newInstance​()` Creates an instance of the default `SOAPConnectionFactory` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SOAPConnectionFactory

    public SOAPConnectionFactory​()

### Method Detail

#### newInstance

    public static SOAPConnectionFactory newInstance​()
                                             throws SOAPException,
                                                    UnsupportedOperationException

Creates an instance of the default `SOAPConnectionFactory` object. This method uses the lookup procedure specified in `javax.xml.soap` to locate and load the `SOAPConnectionFactory` class.

Returns:
  a new instance of a default `SOAPConnectionFactory` object
Throws:
  `SOAPException` - if there was an error creating the `SOAPConnectionFactory`
  `UnsupportedOperationException` - if newInstance is not supported.

#### createConnection

    public abstract SOAPConnection createConnection​()
                                             throws SOAPException

Create a new `SOAPConnection`.

Returns:
  the new `SOAPConnection` object.
Throws:
  `SOAPException` - if there was an exception creating the `SOAPConnection` object.